Begin an MCP connector OAuth install
Begin an OAuth browser flow to install or reconnect a preset MCP connector. Open the authorization URL in the user's browser, then poll getMcpOAuthInstallAttempt with the returned connectionId and requestId to check this attempt's completion.
POST https://api.sazabi.com/v1/mcp-connectors/oauth/begin
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/mcp-connectors/oauth/begin" \ -H "Content-Type: application/json" \ -d '{ "providerId": "string" }'{ "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6", "authorizationUrl": "string", "connectionId": "84b500d7-71c8-4b1f-adf4-f1eb0000973d", "expiresAt": "2019-08-24T14:15:22Z"}